/*======================================================*/
/*														*/
/*	main.cpp											*/
/*						(c) HAL 2009-					*/
/*														*/
/*======================================================*/
#include "vConnect.h"
#include "testConverter.h"
#include "vsqConverter.h"

int main( int argc, char* argv[] )
{
	utauVoiceDataBase db;
	vConnect vC;
	vsqConverter converter;
	string inputFileName, outputFileName;

#ifdef __ANALYSIS__
	if( argc == 2 ){
        inputFileName = argv[1];
		if( VCNT_TRUE == db.readUtauVoiceDataBase( inputFileName ) )
			db.straightAnalysis();
	}else{
		cout << "straightVoiceDB Ver0.12a" << endl;
		cout << "Coptyright (C) 2009-2010 HAL" << endl;
		cout << "Usage of analysis:" << endl;
		cout << " straightVoiceDB.exe <path of oto.ini>"<<endl;
	}
#else
	if( argc == 3 ){
		inputFileName = argv[1];
		outputFileName = argv[2];

//		inputFileName = "C:\\Documents and Settings\\HAL\\My Documents\\Visual Studio 2008\\Projects\\vConnect\\vConnect\\testtrack1.txt";
//		outputFileName = "test.wav";

		if( vC.initialize( (vConnectConverterBase*)&converter ) == VCNT_TRUE ){
			vC.synthesize( inputFileName, outputFileName );
			vC.destroy();
		}
#ifdef DEBUG
		vC.writeErrorLog( "log.txt" );
#endif
	}else{
		cout << "v.Connect Ver0.12a" << endl;
		cout << "Coptyright (C) 2009-2010 HAL" << endl;
		cout << "Usage of resynthesis:" << endl;
		cout << " vConnect.exe <input file> <output file>" << endl;
        return 0;
	}
#endif

	return 0;
}