/*======================================================*/
/*														*/
/*	straightDipFilter.h									*/
/*						(c) HAL 2009-					*/
/*		 straightDipFilter applies dip filter			*/
/*				on	STRAIGHT spectrum & aperiodicity.	*/
/*														*/
/*======================================================*/
#ifndef __straightDipFilter__
#define __straightDipFilter__

#include "vConnectObjectBase.h"

class straightDipFilter{
public:
	straightDipFilter();

	void	setFilter( double frequency, double width, double rate );
	double	getFilter( double frequency );
private:
	double	bandWidth;
	double	logWidth;
	double	reverseWidth;
	double	centerFrequency;
	double	rate;
};

#endif