/*======================================================*/
/*														*/
/*	vConnectData.h										*/
/*						(c) HAL 2009-					*/
/*		 vConnectData contains inter-data for STRAIGHT.	*/
/*														*/
/*======================================================*/
#ifndef __vConnectData_h__
#define __vConnectData_h__

#include "vConnectObjectBase.h"
#include "vConnectFrame.h"

class vConnectData : public vConnectObjectBase {
public:
	VCNT_RESULT	setNumFrames( unsigned long numFrames ){ frames.resize( numFrames ); return VCNT_TRUE; offset = 0; }
	unsigned long getNumFrames( void ){ return frames.size(); }

	VCNT_RESULT	setFrame( unsigned long frameIndex, vConnectFrame& frame );
	VCNT_RESULT	getFrame( unsigned long frameIndex, vConnectFrame& frame );

	VCNT_RESULT setOffset( double secOffset ){ this->offset = secOffset; return VCNT_TRUE; }
	double getOffset( void ){ return offset; }
protected:
private:
	vector<vConnectFrame> frames;
	double offset;
};

#endif
