/*======================================================*/
/*														*/
/*	vConnectObjectBase.cpp								*/
/*						(c) HAL 2009-					*/
/*														*/
/*======================================================*/
#include "vConnectObjectBase.h"

Straight		vConnectObjectBase::straight = NULL;
StraightConfig	vConnectObjectBase::config;

string			vConnectObjectBase::errorString = "";

void vConnectObjectBase::outputError( const char* message )
{
	errorString = errorString + message + "\n";
}

void vConnectObjectBase::writeErrorLog( const char* fileName )
{
	ofstream ofs;
	ofs.open( fileName );

	if( !( ofs.fail() ) )
		ofs << errorString << endl;
}

char *c_getline( char *buf, int buflen, FILE *fp ){
    for( int i = 0; i < buflen - 1; i++ ){
        int c = fgetc( fp );
        if( c == EOF ){
            buf[i] = '\0';
            if( i == 0 ){
                return NULL;
            }else{
                return buf;
            }
        }else if( c == 0x0D || c == 0x0A ){
            buf[i] = '\0';
            int c2 = fgetc( fp );
            if( c2 != EOF && c2 != 0x0D && c2 != 0x0A ){
                fseek( fp, -1, SEEK_CUR );
            }
            return buf;
        }else{
            buf[i] = (char)c;
        }
    }
    buf[buflen - 1] = '\0';
    return buf;
}

int c_mkdir( const char *path ){
#ifdef __GNUC__
	return mkdir( path, S_IRWXU | S_IRWXG | S_IRWXO );
#else
	return ::_mkdir( path );
#endif
}
