/*======================================================*/
/*														*/
/*	vsqHandle.h											*/
/*						(c) HAL 2009-					*/
/*														*/
/*======================================================*/
#ifndef __vsqHandle_h__
#define __vsqHandle_h__

#include "vsqBase.h"

struct vsqVibratoBP{
	float	position;
	short	value;
};

class	vsqLyric{
public:
	void setLyric( string right );

	string	lyric;
	string	pronounce;
	int		lyricDelta;
	short	consonantAdjustment;
	char	protectFlag;
};

class vsqHandle : public vsqBase {
public:
	void	setParameter( string left, string right );

	string	getLyric( void ){ return lyric.lyric; }
	string	getPronounce( void ){ return lyric.pronounce; }
	short	getVibratoDepth( double position );
	short	getVibratoRate( double position );
private:
	string	iconID;
	string	IDS;
	string	caption;
	short	original;
	short	length;
	short	startDepth;
	short	stratRate;
	short	language;
	short	program;

	vector<vsqVibratoBP> vibratoDepth,vibratoRate;
	vsqLyric	lyric;
};

#endif